#///////////////////////////////////////////////////////////////////////////////
#//===========================================================================//
#// COPYRIGHT:                                                                //
#// ----------                                                                //
#// Copyright (C) International Business Machines Corp., 1999.                //
#//                                                                           //
#// DISCLAIMER OF WARRANTIES:                                                 //
#// -------------------------                                                 //
#// The following [enclosed] code is sample code created by IBM               //
#// Corporation.  This sample code is not part of any standard IBM            //
#// product and is provided to you solely for the purpose of                  //
#// assisting you in the development of your applications.  The               //
#// code is provided "AS IS", without warranty of any kind.  IBM              //
#// shall not be liable for any damages arising out of your use of            //
#// the sample code, even if they have been advised of the                    //
#// possibility of such damages.                                              //
#//===========================================================================//
#//////////////////////////////////////////////////////////////////////////////
#//////////////////////////////////////////////////////////////////////////////
#ifndef _DW_H
#define _DW_H


#ifndef TRUE
#define TRUE ( 1 )
#endif

#ifndef FALSE
#define FALSE ( 0 )
#endif

/*------------------------------------------------------------------------*/
/*                                                                        */
/*------------------------------------------------------------------------*/
#define CheckSmRC(fn)                                                      \
{                                                                          \
  int rc;                                                                  \
                                                                           \
  SmGetRc ( reply, & rc );                                                 \
                                                                           \
  if ( rc != SM_RC_OK )                                                    \
  {                                                                        \
    sprintf ( buffer, "%s: rc = %d", fn, rc );                             \
    LogMessage ( buffer );                                                 \
                                                                           \
    return ( SM_RC_OK );                                                   \
  }                                                                        \
}


/*------------------------------------------------------------------------*/
/*                                                                        */
/*------------------------------------------------------------------------*/
extern void LogMessage   ( char * );

extern void CloseUpShop  ( );

extern void TurnMicOn    ( );

extern void PlayTags     ( );

extern void TurnMicOff   ( );


#endif
