#///////////////////////////////////////////////////////////////////////////////
#//===========================================================================//
#// COPYRIGHT:                                                                //
#// ----------                                                                //
#// Copyright (C) International Business Machines Corp., 1999.                //
#//                                                                           //
#// DISCLAIMER OF WARRANTIES:                                                 //
#// -------------------------                                                 //
#// The following [enclosed] code is sample code created by IBM               //
#// Corporation.  This sample code is not part of any standard IBM            //
#// product and is provided to you solely for the purpose of                  //
#// assisting you in the development of your applications.  The               //
#// code is provided "AS IS", without warranty of any kind.  IBM              //
#// shall not be liable for any damages arising out of your use of            //
#// the sample code, even if they have been advised of the                    //
#// possibility of such damages.                                              //
#//===========================================================================//
#//////////////////////////////////////////////////////////////////////////////
#//////////////////////////////////////////////////////////////////////////////
#ifndef DMACROS_H
#define DMACROS_H

typedef struct _dm_macro_struct
{
  unsigned long flags;
  char          name [ 255 ];
  char          text [ 4096 ];
} DmMacro;


extern int DmLoadMacros ( char * fn );

extern int DmGetMacroNames ( char * * * names, int * count );

DmMacro * DmQueryMacroName ( char * name );

#endif
